<div class="container">
  <h2>Edit post</h2>

  <%= form_for @post, url: {action: "update"}, html: {class: "nifty_form", multipart: true } do |f| %>
    <table class="table">
      <tr>
        <td><%= f.label :title %></td>
        <td><%= f.text_field :title %></td>
      </tr>
      <tr>
        <td><%= f.label :content %><br />
        <td><%= f.text_area :content %></td>
      </td>
      <%= f.hidden_field :user_id, :value => current_user.id %>
        <tr>
            <td>
            <%= f.fields_for :pictures do |picture| %>
              <%= link_to_add_association 'Add picture', f, :pictures%>
              <%= render "picture_fields", f: picture %>
              </td>
            <% end %>
        </tr>
        <tr>
          <td><%= f.submit "Update"%></td>
        </tr>
    </table>
    <% end %>
</div>
